POST
/v1/incidents/{id}/resolve

Resolve an active incident.

Path Parameters

id*string

Query Parameters

resolutionNote?string

Optional incident resolution post-mortem note @example "Storage engine scaled. DB replicas successfully synced."

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/incidents/string/resolve"
{  "incident": {    "createdAt": "2019-08-24T14:15:22Z",    "customerMessage": "string",    "id": "string",    "impactedApplications": [      {        "applicationId": "string",        "applicationName": "string",        "capabilities": [          {            "id": "string",            "name": "string"          }        ]      }    ],    "internalDescription": "string",    "resolvedAt": "2019-08-24T14:15:22Z",    "startedAt": "2019-08-24T14:15:22Z",    "state": "RUNTIME_STATE_UNSPECIFIED",    "status": "INCIDENT_STATUS_UNSPECIFIED",    "title": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "version": "string"  }}